Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > ASP .Net > Load v1.1 framework for ASP page with v2.0 installed on the same machine

Reply
Thread Tools

Load v1.1 framework for ASP page with v2.0 installed on the same machine

 
 
kandiko@appliedtech.us
Guest
Posts: n/a
 
      08-05-2005
Hello all,

I'm trying to configure a straight ASP application to run using the 1.1
framework. Currently, the server has 2.0 installed and it starts up
under the 2.0 framework, even though I have specified v1.1 in IIS.

The reason this is happening is because it is an ASP page, the CLR
loads up the latest runtime, which would be 2.0. But when 2.0 is
loaded, specific calls to a COM component do not work.....the calls
only work under the 1.1 framework.

Now, I have seperated the application pools for each framework, and if
I run a 1.1 .aspx page before I run the ASP page, the COM call works
fine.

I realize that the CLR is designed to respond to the startup using the
latest framework, but it doesn't work for my application. So is there
any way to specify that an ASP application load v1.1 instead of the 2.0
framework?

Thanks
Josh

 
Reply With Quote
 
 
 
 
Brock Allen
Guest
Posts: n/a
 
      08-05-2005
In IIS the application properties allow you to switch which version of ASP.NET
is required. Also, you need to make sure that you're running in an AppPool
where only other v1.1 apps are running.

-Brock
DevelopMentor
http://staff.develop.com/ballen



> Hello all,
>
> I'm trying to configure a straight ASP application to run using the
> 1.1 framework. Currently, the server has 2.0 installed and it starts
> up under the 2.0 framework, even though I have specified v1.1 in IIS.
>
> The reason this is happening is because it is an ASP page, the CLR
> loads up the latest runtime, which would be 2.0. But when 2.0 is
> loaded, specific calls to a COM component do not work.....the calls
> only work under the 1.1 framework.
>
> Now, I have seperated the application pools for each framework, and if
> I run a 1.1 .aspx page before I run the ASP page, the COM call works
> fine.
>
> I realize that the CLR is designed to respond to the startup using the
> latest framework, but it doesn't work for my application. So is there
> any way to specify that an ASP application load v1.1 instead of the
> 2.0 framework?
>
> Thanks
> Josh




 
Reply With Quote
 
 
 
 
kandiko@appliedtech.us
Guest
Posts: n/a
 
      08-05-2005
I have already set the .NET version of the Website and only 1.1 apps
run in the application pool. But, if an ASP page is requested before a
ASPX page is requested, the CLR is loaded using the latest version of
the framework, which would be 2.0. This is my tricky predicament.

Thanks

 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to know if .Net framework is installed on the machine? Kumar Bhogaraju ASP .Net 12 06-23-2010 06:55 AM
From an ASP page, is there a way write to an EXCEL file without having EXCEL installed on the IIS machine ? fniles ASP General 6 04-27-2009 10:33 PM
3.5 Framework - asp.net client side framework failed to load Rachel ASP .Net 1 12-10-2007 11:29 PM
Can application develop in framework 2.0 run on server wtih .net framework 1.1 installed ? pizza ASP .Net 1 03-08-2007 10:03 AM
I thought ASP.NET was always the same version as the installed Framework? PJ6 ASP .Net 4 08-30-2005 06:45 PM



Advertisments